Istores API Documentation
MyIstores Api

Custom orders

Endpoint:https://api.istores.co.il

Get full list with all custom orders with date filter

POST
https://api.istores.co.il
/custom_orders

Get full list with all custom orders with date filter

Get full list with all custom orders with date filterRequest Body

  • date_fromstring

    Valid date (year-month-day) wich we start the filter from

    Example: 2020-01-20
  • date_tostring

    Valid date (year-month-day) wich we end the filter

    Example: 2020-01-25
  • limitinteger · min: 1 · max: 100

    Limit orders per page (minimum 1)

    Example: 10
  • pageinteger · min: 1

    Limit orders per page (minimum 1)

    Example: 1

Get full list with all custom orders with date filterResponses

success

  • successboolean
    Example: true
  • responseobject[]

    array with all orders

  • resultsnumber
    Example: 233
  • pagesnumber
    Example: 100
  • pagenumber
    Example: 4
  • per_pagenumber
    Example: 2
  • request_idstring
    Example: 1ef2da0b-6f98-6fec-b13f-06c63b84be49

POST
https://api.istores.co.il
/custom_order

Create a custom order with a pay-by-link payment URL

  • is_fast_linkboolean · enum · required

    Must be true to create a pay-by-link custom order

    Enum values:
    Example: true
  • currencystring · required

    Active store currency code

    Example: ILS
  • transaction_typestring · enum · required
    Enum values:
    Debit
    Example: Debit
  • credit_typestring · enum · required
    Enum values:
    RegularCredit
    Payments
    Example: RegularCredit
  • productsobject[] · minItems: 1 · required
  • num_of_paymentsinteger · min: 1 · max: 36 · required
    Example: 1
  • client_firstnamestring | null · minLength: 2
    Example: John
  • client_lastnamestring | null · minLength: 2
    Example: Doe
  • client_emailstring | null · email
  • client_phonestring | null · minLength: 7
    Example: 0501234567
  • payment_addressstring | null · minLength: 2
    Example: 1 Main Street
  • payment_citystring | null · minLength: 2
    Example: Tel Aviv

Custom order created successfully

  • successboolean
    Example: true
  • responseobject
  • request_idstring
    Example: 1ef2da0b-6f98-6fec-b13f-06c63b84be49

Get custom order details by order Id

GET
https://api.istores.co.il
/custom_order/{order_id}

Get custom order details by order id

Get custom order details by order Idpath Parameters

  • order_idinteger · int64 · required

    Order ID

Get custom order details by order IdResponses

success

  • successboolean
    Example: true
  • responseobject
  • request_idstring
    Example: 1ef2da0b-6f98-6fec-b13f-06c63b84be49

Download QR code

GET
https://api.istores.co.il
/custom_order/{order_id}/generate_qr

Download QR code

Download QR codepath Parameters

  • order_idinteger · required

    Order ID

Download QR codeResponses

QR-code in SVG format

No data returned

Refresh custom order expiry

PUT
https://api.istores.co.il
/custom_order/{order_id}/expiry_refresh

Refresh custom order expiry

Refresh custom order expirypath Parameters

  • order_idinteger · required

    Order ID

Refresh custom order expiryRequest Body

  • refreshboolean · required

Refresh custom order expiryResponses

Custom order info

  • successboolean
    Example: true
  • responseobject
  • request_idstring
    Example: 1ef2da0b-6f98-6fec-b13f-06c63b84be49